<?php
/*
  ===============================================================

  inGenio X
  http://ingenio.area421.com

  Created by 
  Julian Moreno Hidalgo (Software developer)
  Jesus Moreno Hidalgo (Communication's tree)

  inGenio X is a free software licensed under CC-GNU GPL

  ===============================================================
*/
	if (!defined("IGNX")) { die("Attempt..."); }

if (isset($_GET["priv"]))
{
	
	$tpl_carpeta_priv = $ingenio_conn[8];
	
	$salida_canal_archivos_privados_post = 0;

	if (isset($_POST["ver_archivos"]))
	{
		
		$salida_canal_archivos_privados_post = 1;
	
		// pass privada
		$pass_priv = str_replace(" ","",$_POST["pass_priv"]);		
		
		// add SELECT
		$cadena_select = "";

		// archivos privados
		$salida_canal_archivos_privados = array();		
		$q = myquery("SELECT * FROM ".ARCHIVOS_PRIV." WHERE enabled=1 ".$cadena_select." AND fpass='".$pass_priv."' ORDER BY orden DESC, fileID DESC ","[var_priv=2]");
		$i=0;
		while ($row = myfetch($q))
		{	
			
			if ($row["descargas_max"] == 0)
			{
				$semuestra = 1;

			} else if ($row["descargas_max"] > 0)
			{
				if ($row["descargas"] < $row["descargas_max"])
				{
					$semuestra = 1;
				} else {
					
					$semuestra = 0;
				}
			} else {
				// se han agotado las descargas_max
				$semuestra = 0;
			}

			if ($semuestra == 1)
			{
				include ("./ints/inc/inc_list_archivos_priv.php");
			
				$indice_ini = $i/CONFIG_59;
				$indice_fin = ($i+1)/CONFIG_59;
				
				if (is_int($indice_ini))
				{
				
					$row["salida_gral_tr_ini"] = 1;
				}

				if (is_int($indice_fin))
				{
				
					$row["salida_gral_tr_fin"] = 1;
				}
			
				// ancho de celda
				$row["salida_gral_celda"] = 100/CONFIG_59;						
		
				$salida_canal_archivos_privados[] = $row;
			}

		$i++;
		} // del while

		
		// Smarty
		$smarty->assign("salida_canal_archivos_privados", $salida_canal_archivos_privados);
		
		// contar los archivos mostrados
		$cnt_arcs_priv = count($salida_canal_archivos_privados);

		// Smarty
		$smarty->assign("total", $cnt_arcs_priv);

	
	} // de if $_POST["ver_archivos"])
		
	// Smarty
	$smarty->assign("salida_canal_archivos_privados_post", $salida_canal_archivos_privados_post);
	
}
			
?>